import { View } from '@tarojs/components'
import { useObserver } from 'mobx-react';
import modalStore from '@src/store/modalStore';
import './index.less'
import Vip from './vip';
import Shubi from './shubi';
import { setApp } from '@src/config';

interface Props {
    type?: 'vip' | 'shubi'
}

const GlobalModal: React.FC<Props> = (props) => {
    let { type = "shubi" } = props
    return useObserver(() => {
        let { visible } = modalStore
        const hide = (e) => {
            e.stopPropagation()
            modalStore.hideModal()
            // 关闭弹窗清空支付数据
            setApp({ payData: null })
        }
        return <>
            {visible && <View className="modal" onClick={hide}>
                <View className="box" onClick={(e) => { e.stopPropagation() }}>
                    {/* 关闭 */}
                    <View className='clear' onClick={hide}></View>
                    {/* Vip */}
                    {type === 'vip' && <Vip />}
                    {/* 书币 */}
                    {type === 'shubi' && <Shubi />}
                </View>
            </View>}
        </>
    })
}

export default GlobalModal